<template>
	<view class="page">
		<view class="title">
			<image src="https://api.ccttiot.com/smartmeter/img/static/uyr6T0Vfkefty2blkDmU" mode="aspectFit"
				style="width: 52rpx;height: 52rpx;margin-right: 10rpx;vertical-align: bottom;vertical-align: bottom;"
				@click="btnshouye"></image>
			<text>代理设备列表</text>
		</view>

		<u-mask :show="showtip" @click="show = false" :z-index='1000' />
        <view class="mxshanghuflag" v-if="shanghuflag"></view>
		<view class="fd">
			<!-- 刷新动画 -->
			<view class="shuaxin" v-if="shuaxin">
				<image src="https://api.ccttiot.com/smartmeter/img/static/uO9UFjzbzS9YlabzL4HV" mode="aspectFit"></image>
			</view>
			
			<view class="fd_top u-skeleton-fillet" style="display: flex;justify-content: space-between;align-items: center;position: relative;z-index: 999;">
				<u-select v-model="pxshow" :list="pxlist" @confirm="pxconfirm"></u-select>
				<view class="inpus">
					<input type="text" placeholder="请输入搜索内容" v-model="keyword"/> 
					<!-- <u-icon name="arrow-down" color="#000" size="28" style="margin-left: 30rpx;" @click="btnshanghu"></u-icon> -->
				</view>
                <view class="seachsou" @click="btnsousuo">
                	搜索
                </view>
				<view class="right">
					<image style="width: 32rpx;height: 34rpx;margin-top: 10rpx;margin-left: 20rpx;" src="https://api.ccttiot.com/smartmeter/img/static/uiZneL59hHNJ2EsOE557" mode="aspectFit" @click="pxshow = true"></image>
				</view>
			</view>
			<!-- 下拉展示名下商户 -->
			<view class="mxshanghu" v-if="shanghuflag">
				<view class="shanghu_item" v-for="(item,index) in shanghu" :key="index">
					{{item.name}}
				</view>
			</view>
			
			<u-mask :show="showfz" @click="showfz=false"></u-mask>

			<view class="fz" v-show="showfz">
				<view class="fz_top">
					<view class="iconfont icon-shanchu" @click="showfz=false">

					</view>
					<view class="tit">
						<!-- 店铺管理 -->
					</view>
					<view class="txt" @click="tosetpage()">
						管理
					</view>
				</view>
				<view class="card_cont">
					<view class="cards" v-for="(item,index) in groupLists" :key="index">
						<!-- //@click="changeGp(item)" groupLists -->
						<view class="txt">
							{{item.name}}
						</view>
						<view class="num">
							{{item.deviceCount}}
						</view>
					</view>
					<view class="zhanwei" style="width: 100%;height: 100rpx;">

					</view>
				</view>
			</view>

			<swiper class="swiper" style="height: 100%;" :current='curtitidx' @change="swiperchange"
				@touchstart="touchStart" @touchend="touchEnd">
				<swiper-item  class="">
					<view class="" v-if="wateringList == '' && wateringList.length == 0"
						style="width: 100%;height: 200rpx;margin: auto;margin-top: 230rpx;text-align: center;">
						<image style="width: 200rpx;height: 200rpx;"
							src="https://api.ccttiot.com/smartmeter/img/static/uZFUpcz0YZZ4f4RjvGg2" mode="aspectFit"></image>
						<view class="" style="font-size: 28rpx;color: #808080;margin-top: 30rpx;">暂无设备...</view>
					</view>
					<view class="swiper_item">
						<view class="card_box" v-for="(item,indexs) in wateringList" :key="indexs">
							<view class="card">
								<view class="card_left">
									<view class="card_left_tit" @click="todetail(item.deviceId)">
										{{item.deviceName}}
									</view>
									<view class="card_left_sta" @click="todetail(item.deviceId)">
										网络:<view class="" style="width: 10rpx;"></view>
										 <text v-if="item.wifi == null && !item.modelTags.some(tag => tag == 3) || item.wifi == '创特物联TP'" style="color: red;" @click.stop="btnwifi(item.mac)">未配网</text>
										 <text v-else>
											 <text v-if="item.onlineStatus == 0" style="color: red;">离线</text>
											 <text v-else style="color: #00BA88;">在线</text>
										 </text>
										 <view class="" style="width: 20rpx;"></view>
										状态:<view class="" style="width: 10rpx;"></view>
										<view class="sta_txt" v-if="item.status==3">
											维修中
										</view>
										<view class="sta_txt" v-if="item.status==2" style="color:red;">
											使用中
										</view>
										<view class="sta_txt" v-if="item.status==1" style="color:#00BA88;">
											空闲
										</view>
									</view>
									<view class="card_left_no" :class="item.onlineStatus == 0 ? 'activewzgl' : ''"
										@click="todetail(item.deviceId)">
										S/N码：{{item.deviceNo}}
									</view>
									<!-- @click="sremakes(item)" -->
									<view  v-if="item.userName == null" class="dianpu" @click="todetail(item.deviceId)"
										style="border: 1px solid #ccc;padding: 5rpx;font-size:26rpx: border-box;width: 180rpx;border-radius: 20rpx;color: #ccc;text-align: center;margin-top: 10rpx;">
										未绑定商户
									</view>
									<view v-else :class="item.onlineStatus == 0 ? 'activewzgl' : ''"
										style="color: #95989D;padding-top: 20rpx;font-size: 26rpx;"
										@click="todetail(item.deviceId)">
										归属商户：{{item.userName == null ? '--' : item.userName}}
									</view>
								</view>
								<view class="card_right" @click="todetail(item.deviceId)">
									<image v-if="item.customPicture" :src="item.customPicture" mode="aspectFit"
										style="border-radius: 20rpx;"></image>
									<image v-else :src="item.picture" mode="aspectFit"></image>
								</view>
							</view>
						</view>
					</view>
				</swiper-item>
			</swiper>
		</view>

		<!-- 选择店铺 -->
		<u-select v-model="showshop" :list="shoplist" @confirm="confirms"></u-select>
         
		 <!-- 扫描二维码 -->
		<!-- <image v-if="curtitidx == 0" class="saoyisao" @click="saoyisao"
			src="https://api.ccttiot.com/smartmeter/img/static/uiDR6MnGHguBRNSYFTVw" mode="aspectFit"></image> -->

		<!-- <tab-bar :indexs='0'></tab-bar> -->

		<view class="dd">
			<u-select v-model="show" :list="list" title='添加方式' @confirm="confirm"></u-select>
		</view>
        
		
		<view class="bluetoothbox" v-if="bluetoothflag">
			<view class="stop">
				正在连接该设备蓝牙
			</view>
			<view class="xtop">
				请将手机与设备尽量靠近
			</view>
			<image src="https://api.ccttiot.com/smartmeter/img/static/ucDphMKsozqwwllJTAKL" mode="aspectFit"></image>
		</view>
		
		<!-- 蓝牙连接失败 -->
		<view class="bluetoothbox" v-if="shibaiflag">
			<image class="img" src="https://api.ccttiot.com/smartmeter/img/static/uTb3vSlbcHdPMFQMBjyL" mode="aspectFit"></image>
			<view class="one">
				蓝牙连接失败
			</view>
			<view class="two">
				请确保手机足够靠近设备
			</view>
			<view class="thr">
				并且设备处于上电状态
			</view>
			<view class="anfour">
				<view class="qx" @click="btnlyqx">
					取消
				</view>
				<view class="cx" @click="btnwifis">
					重新连接
				</view>
			</view>
		</view>
        <view v-if="btnmsk"
        	style="width: 100%;height: 100vh;position: fixed;top: 0;left: 0;background-color: #000;opacity: .1;z-index: 999;">
        </view>
	</view>
</template>

<script>
	var xBlufi = require("@/page_components/blufi/xBlufi.js")
	import uniEcCanvas from '@/components/uni-ec-canvas/uni-ec-canvas.vue'
	import * as echarts from '@/components/uni-ec-canvas/echarts'
	let chart = null
	export default {
		data() {
			return {
				shanghuflag:false,
				shanghu:[
					{
						name:'商户1'
					},{
						name:'商户2'
					},{
						name:'商户3'
					},{
						name:'商户4'
					},
				],
				pxshow: false,
				pxlist: [
					{
						value: 'deviceName',
						label: '按设备名称排序'
					},
					{
						value: 'activationTime',
						label: '按绑定时间排序'
					},
					{
						value: 'onlineStatus',
						label: '按在线状态排序'
					}
				],
				
				shuaxin: false,
				showshop: false,
				shoplist: [],
				bgc: {
					backgroundColor: "#8883f0",
				},
				ec: {
					lazyLoad: true
				},
				deviceInfo: {},
				loadings: false,
				info: '',
				tittxt: "商户中心",
				titlist: '暂无店铺',
				curtitidx: 0,
				background: ['color1', 'color2', 'color3'],
				indicatorDots: true,
				autoplay: true,
				interval: 2000,
				duration: 500,
				deviceList: [],
				userType: '',
				addflag: false,
				sbflag: true,
				show: false,
				list: [{
						value: '1',
						label: '扫码添加'
					},
					{
						value: '2',
						label: '搜索附近设备添加'
					}
				],
				qrResult: '',
				showfz: false,
				groupList: [],
				groupLists: [],
				total: '',
				gps: {},
				mac: '',
				deviceId: '',
				showtip: false,
				orderinfo: [],
				storeId: '',
				pagenum: 1,
				wateringList: [],
				pagesize: 10,
				isLoading: false,
				noMoreData: false,
				total: 0,
				shujuflag: false,
				id: '',

				touchStartX: 0, // 触屏起始点x
				touchStartY: 0, // 触屏起始点y  
				
				xiaflag:true,
				isMch:false,
				
				bluetoothflag: false,
				shibaiflag: false,
				deviceInfo: {},
				info: '',
				checked: false,
				focus: false,
				timeday: '',
				imglist: '',
				userImgs: '',
				imgflag: true,
				devicesList: [],
				setMode: null,
				vipflag: false,
				cztime: '',
				opflag: true,
				timer: null,
				url: "",
				deviceNo: '',
				btnmsk:false,
				pxzt:'onlineStatus',
				qingqiuflag:true,
				keyword:''
			}
		},
		onLoad() {
          
		},

		onShow() {
			// this.gettanc()
			this.pagenum = 1
			this.logins()
			this.getlist()
			// this.getgroup()
			this.deviceId = uni.getStorageSync('deviceIds')
			this.name = uni.getStorageSync('name')
			let that = this
			setTimeout(() => {
				if (this.userType === '01') { // 注意 '01' 是一个字符串
					if (uni.getStorageSync('mac')) {
						this.mac = uni.getStorageSync('mac')
						uni.getLocation({
							type: 'wgs84',
							success: function(lb) {
								that.gps.lat = lb.latitude
								that.gps.lon = lb.longitude
								that.tobind()
							},
							fail: function(error) {
								console.error('获取位置信息失败：', error)
								that.gps.lat = 0
								that.gps.lon = 0
								that.tobind()
							}
						})
					}
				} else {
					if (uni.getStorageSync('billNo')) {
						let billNo = uni.getStorageSync('billNo')
						this.$u.get(`/app/bill/recharge/${billNo}/bluetoothSuccess`).then((res) => {
							if (res.code == 200) {
								uni.removeStorageSync('billNo')
								this.showtip = false
								this.order()
							}
						})
					}
				}
			}, 2000);
		},
		// 分享到好友（会话）
		onShareAppMessage: function() {
			return {
				title: '创想物联',
				path: '/pages/shouye/index'
			}
		},

		// 分享到朋友圈  
		onShareTimeline: function() {
			return {
				title: '创想物联',
				query: '',
				path: '/pages/shouye/index'
			}
		},
		methods: {
			btnshanghu(){
				if(this.shanghuflag == true){
					this.shanghuflag = false
				}else{
					this.shanghuflag = true
				}
			},
			// 选择排序
			pxconfirm(e){
				this.pxzt = e[0].value
				this.gettanc()
				this.pagenum = 1
				this.logins()
				this.getgroup()
			},
			
			funListenDeviceMsgEvent: function(options) {
				switch (options.type) {
					case xBlufi.XBLUFI_TYPE.TYPE_RECIEVE_MY_DATA:
						let loadPercent = options.data;
						let loadText = '文件读取中'
						// console.log("文件读取中", options.data)
						break;
					case xBlufi.XBLUFI_TYPE.TYPE_RECIEVE_CUSTON_DATA:
						let ver_data = this.parseCustomData(options.data)
						this.setMode = Math.floor(ver_data.setMode / 60)
						console.log("1收到设备发来的自定义数据结果：", ver_data, this.setMode)
						break;
					case xBlufi.XBLUFI_TYPE.TYPE_GET_DEVICE_LISTS:
						if (options.result) {
							let devicesarr = options.data
							// console.log(devicesarr,'devicesarrdevicesarr') 
							devicesarr.forEach(device => {
								const mac = device.name.substring(5)
								if (device.name.slice(5, 17) == this.qrResult) {
									this.deviceId = device.deviceId
									this.name = device.name
									this.mac = device.name.slice(5, 17)
									// console.log(this.mac, 'macmacmac')
									// this.devicesList = uniqueDevicesList
								}
							})
						}
						break;
			
					case xBlufi.XBLUFI_TYPE.TYPE_CONNECTED:
						// console.log("连接回调：" + JSON.stringify(options))
						if (options.result) {
							this.bluetoothflag = false
							uni.hideLoading();
							// uni.showToast({
							// 	title: '连接成功',
							// 	icon: 'none'
							// }); 
							{
								console.log("连接回调options.data.deviceId：" + options.data.deviceId,
									"连接回调options.data.name：" + options.data.name)
							}
						} else {
							this.shibaiflag = true
							this.bluetoothflag = false
							uni.hideLoading()
							// uni.showToast({
							// 	title: '设备离线或不在范围内',
							// 	icon: 'none',
							// 	duration: 2000
							// })
						}
			
						break;
			
					case xBlufi.XBLUFI_TYPE.TYPE_GET_DEVICE_LISTS_START:
						if (!options.result) {
							setTimeout(() => {
								uni.hideLoading()
								this.bluetoothflag = false
							}, 3000)
							console.log("蓝牙未开启", options)
							this.shibaiflag = true
							// uni.showToast({
							// 	title: '蓝牙未开启',
							// 	icon: 'none',
							// 	duration: 3000
							// });
							return
						} else {
							// this.searching = true
							//蓝牙搜索开始
							// _this.setData({
							// 	searching: true
							// });
						}
			
						break;
			
					case xBlufi.XBLUFI_TYPE.TYPE_GET_DEVICE_LISTS_STOP:
						if (options.result) {
							let uniqueDevicesList = Array.from(new Set(this.devicesList))
			
							// 将去重后的数组重新赋值给 this.devicesList
							this.devicesList = uniqueDevicesList
							let list = []
			// 				filteredDevices.forEach(device => {
			// 					// 从设备名称中提取 MAC 地址（假设 MAC 地址是设备名称的后6个字符）
			// 					let macFromName = device.name.substring(device.name.length - 12)
			// 					this.$u.get(`/app/device/${macFromName}/isBind`).then((res) => {
			// 						if (res.data == false) {
			// 							list.push(device)
			// 						} else {
			
			// 						}
			// 					})
			
			// 				});
							setTimeout(() => {
								this.devicesList = list
							}, 200)
			
							console.log('蓝牙停止搜索ok')
						} else {
							//蓝牙停止搜索失败
							console.log('蓝牙停止搜索失败')
						}
						this.searching = false
						break
			
				}
			},
			parseCustomData(data) {
				// 将字符串按照 "@" 分割成数组  
				const dataArray = data.split('@');
			
				// 初始化一个空对象来存储解析后的数据  
				const parsedData = {};
			
				// 前缀到属性名的映射  
				const prefixMap = {
					'V': 'voltage',
					'S': 'switchState',
					'A': 'current',
					'P': 'power',
					'M': 'remainingPower',
					'T': 'setMode',
					'W': 'temperature'
				};
			
				// 遍历数组并解析每个字段  
				for (let i = 0; i < dataArray.length; i++) {
					const field = dataArray[i];
					for (const prefix in prefixMap) {
						if (field.startsWith(prefix)) {
							// 去除前缀并将剩余部分转换为适当的类型（这里默认为浮点数或字符串）  
							const value = field.substring(1);
							const propertyName = prefixMap[prefix];
			
							// 根据需要，这里可以添加更复杂的类型转换逻辑  
							// 但为了简单起见，我们总是尝试将其转换为浮点数，如果失败则保留为字符串  
							parsedData[propertyName] = isNaN(parseFloat(value)) ? value : parseFloat(value);
			
							// 找到了匹配的前缀，跳出内层循环  
							break;
						}
					}
				}
			
				// 返回解析后的数据对象  
				return parsedData;
			},
            btnlyqx() {
            	this.shibaiflag = false
            	this.bluetoothflag = false
            },
			// 未配网 进行配网
			btnwifis(){
				this.btnmsk = false
				this.shibaiflag = false
				this.bluetoothflag = true
				// console.log(this.deviceId,'idididididdidii');
				if (this.setMode == null) {
					xBlufi.initXBlufi(1)
					xBlufi.listenDeviceMsgEvent(true, this.funListenDeviceMsgEvent)
					xBlufi.notifyStartDiscoverBle({
						'isStart': true
					})
				
					// 停止蓝牙搜索  
					setTimeout(() => {
						xBlufi.notifyStartDiscoverBle({
							'isStart': false
						})
						xBlufi.notifyConnectBle({
							isStart: true,
							deviceId: this.deviceId,
							name: this.name
						})
						xBlufi.notifyInitBleEsp32({
							deviceId: this.deviceId
						})
						let name = ''
						let index = this.name.indexOf('-')
						if (index !== -1) {
							name = this.name.slice(index + 1)
						}
						let data = {
							storeId: this.storeId,
							mac: this.mac
						}
						this.$u.put('/app/device/bind', data).then((res) => {
							if (res.code == 200) {
								uni.hideLoading();
								this.shibaiflag = false
								this.bluetoothflag = false
								uni.removeStorageSync('mac');
								let systemInfo = uni.getSystemInfoSync()
								if (systemInfo.platform == 'android') {
									// 当前设备是 Android  
									uni.navigateTo({
										url: '/page_components/wifilist/index?deviceId=' + this
											.deviceId + '&name=' + this.name
									})
								} else if (systemInfo.platform == 'ios') {
									// 当前设备是 iOS  
									uni.navigateTo({
										url: '/page_fenbao/device/wifivideo?deviceId=' + this
											.deviceId + '&name=' + this.name
									})
								}
							} else if (res.msg == '设备编号和mac不能同时为空') {
								this.shibaiflag = true
								this.bluetoothflag = false
							}
						})
					}, 1000)
				} else {
					let name = ''
					let index = this.name.indexOf('-')
					if (index !== -1) {
						name = this.name.slice(index + 1)
					}
					let data = {
						storeId: this.storeId,
						mac: this.mac
					}
					this.$u.put('/app/device/bind', data).then((res) => {
						if (res.code == 200) {
							// uni.showToast({
							// 	title: '绑定成功',
							// 	icon: 'none',
							// 	duration: 2000
							// })
							this.shibaiflag = false
							this.bluetoothflag = false
							uni.hideLoading()
							uni.removeStorageSync('mac');
							let systemInfo = uni.getSystemInfoSync()
							if (systemInfo.platform == 'android') {
								// 当前设备是 Android  
								uni.navigateTo({
									url: '/page_components/wifilist/index?deviceId=' + this.deviceId +
										'&name=' + this.name
								})
							} else if (systemInfo.platform == 'ios') {
								// 当前设备是 iOS  
								uni.navigateTo({
									url: '/page_fenbao/device/wifivideo?deviceId=' + this.deviceId +
										'&name=' + this.name
								})
							}
						} else {
							if (res.msg == '设备编号和mac不能同时为空') {
								this.shibaiflag = true
								this.bluetoothflag = false
								uni.hideLoading()
								// uni.showToast({
								// 	title: '连接失败',
								// 	icon: 'none',
								// 	duration: 2000
								// })
							} else {
								this.shibaiflag = true
								this.bluetoothflag = false
								uni.hideLoading()
								uni.showToast({
									title: res.msg,
									icon: 'none',
									duration: 2000
								})
								// uni.navigateBack()
							}
						}
					})
				}
			},
			
			btnwifi(mac){
				this.qrResult = mac
				this.btnmsk = false
				this.shibaiflag = false
				this.bluetoothflag = true
				// console.log(this.deviceId,'idididididdidii');
				if (this.setMode == null) {
					xBlufi.initXBlufi(1)
					xBlufi.listenDeviceMsgEvent(true, this.funListenDeviceMsgEvent)
					xBlufi.notifyStartDiscoverBle({
						'isStart': true
					})
				
					// 停止蓝牙搜索  
					setTimeout(() => {
						xBlufi.notifyStartDiscoverBle({
							'isStart': false
						})
						xBlufi.notifyConnectBle({
							isStart: true,
							deviceId: this.deviceId,
							name: this.name
						})
						xBlufi.notifyInitBleEsp32({
							deviceId: this.deviceId
						})
						let name = ''
						let index = this.name.indexOf('-')
						if (index !== -1) {
							name = this.name.slice(index + 1)
						}
						let data = {
							storeId: this.storeId,
							mac: this.mac
						}
						this.$u.put('/app/device/bind', data).then((res) => {
							if (res.code == 200) {
								uni.hideLoading();
								this.shibaiflag = false
								this.bluetoothflag = false
								uni.removeStorageSync('mac');
								let systemInfo = uni.getSystemInfoSync()
								if (systemInfo.platform == 'android') {
									// 当前设备是 Android  
									uni.navigateTo({
										url: '/page_components/wifilist/index?deviceId=' + this
											.deviceId + '&name=' + this.name
									})
								} else if (systemInfo.platform == 'ios') {
									// 当前设备是 iOS  
									uni.navigateTo({
										url: '/page_fenbao/device/wifivideo?deviceId=' + this
											.deviceId + '&name=' + this.name
									})
								}
							} else if (res.msg == '设备编号和mac不能同时为空') {
								this.shibaiflag = true
								this.bluetoothflag = false
							}
						})
					}, 1000)
				} else {
					let name = ''
					let index = this.name.indexOf('-')
					if (index !== -1) {
						name = this.name.slice(index + 1)
					}
					let data = {
						storeId: this.storeId,
						mac: this.mac
					}
					this.$u.put('/app/device/bind', data).then((res) => {
						if (res.code == 200) {
							// uni.showToast({
							// 	title: '绑定成功',
							// 	icon: 'none',
							// 	duration: 2000
							// })
							this.shibaiflag = false
							this.bluetoothflag = false
							uni.hideLoading();
							uni.removeStorageSync('mac');
							let systemInfo = uni.getSystemInfoSync()
							if (systemInfo.platform == 'android') {
								// 当前设备是 Android  
								uni.navigateTo({
									url: '/page_components/wifilist/index?deviceId=' + this.deviceId +'&name=' + this.name
								})
							} else if (systemInfo.platform == 'ios') {
								// 当前设备是 iOS  
								uni.navigateTo({
									url: '/page_fenbao/device/wifivideo?deviceId=' + this.deviceId +'&name=' + this.name
								})
							}
						} else {
							if (res.msg == '设备编号和mac不能同时为空') {
								this.shibaiflag = true
								this.bluetoothflag = false
								uni.hideLoading()
								// uni.showToast({
								// 	title: '连接失败',
								// 	icon: 'none',
								// 	duration: 2000
								// })
							} else {
								this.shibaiflag = true
								this.bluetoothflag = false
								uni.hideLoading()
								uni.showToast({
									title: res.msg,
									icon: 'none',
									duration: 2000
								})
								// uni.navigateBack()
							}
						}
					})
				}
			},
			// 点击搜索
			btnsousuo(){
				this.pagenum = 1
				this.getlist()
			},
			// 按下
			touchStart(e) {
				this.touchStartX = e.touches[0].clientX;
				this.touchStartY = e.touches[0].clientY;
			},
			// 松开
			touchEnd(e) {
				let deltaX = e.changedTouches[0].clientX - this.touchStartX;
				let deltaY = e.changedTouches[0].clientY - this.touchStartY;
				if (Math.abs(deltaX) > 50 && Math.abs(deltaX) > Math.abs(deltaY)) {
					if (deltaX >= 0) {
						// console.log("左滑")  
					} else {
						// console.log("右滑")  
					}
				} else if (Math.abs(deltaY) > 50 && Math.abs(deltaX) < Math.abs(deltaY)) {
					if (deltaY < 100) {
						console.log("上滑")  
						if(this.qingqiuflag == true){
							let sum = this.total / this.pagesize
							console.log(this.wateringList.length,this.total);
							if (this.wateringList.length  < this.total) {
								this.qingqiuflag = false
								this.getlist() 
							}
						}
					} else {
						console.log(deltaY)
						if (deltaY > 250) {
							if(this.xiaflag){
								this.xiaflag = false
								this.shuaxin = true
								this.pagenum = 1
								setTimeout(() => {
									this.getlist()
								}, 1000)
							}
						}
					}
				}
			},


			// 扫一扫绑定设备
			saoyisao() {
				uni.scanCode({
					onlyFromCamera: true,
					scanType: ['qrCode'],
					success: res => {
						function getQueryParam(url, paramName) {
							let regex = new RegExp(`[?&]${paramName}=([^&]*)`)
							let results = regex.exec(url);
							return results ? decodeURIComponent(results[1].replace(/\+/g, ' ')) : null
						}
						let sceneValue = res.result
						let decodedValue = decodeURIComponent(sceneValue)
						let id = getQueryParam(decodedValue, 's')
						// console.log(res, id)
						let that = this
						let data = {
							deviceNo: id
						}
						that.$u.get(`/app/device/isBind?deviceNo=${id}`).then(res => {
							if (res.data == 2) {
								that.$u.get(`/app/device/${id}/withSuitList`).then((res) => {
									if (res.code == 200) {
										uni.navigateTo({
											url: '/page_components/fuwu/index?id=' + id
										})
									}
								})
							} else if (res.data == 1) {
								uni.showModal({
									title: '提示',
									content: '该设备未绑定,你需进行绑定吗？',
									success: function(res) {
										if (res.confirm) {
											that.$u.put("/app/device/bind", data).then(
												res => {
													if (res.code == 200) {
														that.$u.get(`/app/device/${id}/bySn`).then((res) => {
															if (res.code == 200) {
																uni.navigateTo({
																	url: '/pages/daili/devicexq?id=' + res.data.deviceId
																})
															}
														})
													}
												})
										} else if (res.cancel) {

										}
									}
								})
							} else if (res.data == 0) {
								uni.showModal({
									title: '提示',
									content: '该设备未录入,你需进行录入吗？',
									success: function(res) {
										if (res.confirm) {
											uni.navigateTo({
												url: '/page_fenbao/zhuce?sn=' + id
											})
										} else if (res.cancel) {

										}
									}
								})
							}
						})
					},
					fail: err => {
						console.error('扫描失败：', err)
						uni.showToast({
							title: '扫描失败',
							icon: 'none'
						})
					}
				})
			},

			// 获取店铺
			sremakes(item) {
                if(this.shoplist.length == 0){
                     uni.showModal({
                     	title: '提示',
                     	content: '未创建店铺，是否去创建店铺？',
                     	success: function(res) {
                     		if (res.confirm) {
                     			uni.navigateTo({
                     				url:'/page_fenbao/statulist/myshop/shopxx/index'
                     			})
                     		} else if (res.cancel) {
                     			
                     		}
                     	}
                     })
				}else{
					this.id = item.deviceId
					this.showshop = true
				}
			},
			gettanc() {
				this.$u.get('/app/store/listCount').then((res) => {
					if (res.code == 200) {
						this.total = res.total
						if (res.data.length > 0) {
							// 有数据，追加到列表  
							let arr = res.data.map(row => ({
								value: row.storeId, // 将storeId赋值给value  
								label: row.name // 将name赋值给label  
							}))
							this.shoplist = arr
							this.shoplist = this.shoplist.slice(1)
						}
					}
				})
			},
			confirms(e) {
				this.pagenum = 1
				let data = {
					deviceId: this.id,
					storeId: e[0].value
				}
				this.putdevice(data)
			},
			putdevice(data) {
				this.$u.put('/app/device', data).then((res) => {
					if (res.code == 200) {
						this.getlist()
						uni.showToast({
							title: '修改成功',
							icon: 'success',
							duration: 2000
						});

					}
				})
			},
			tocz() {
				this.showtip = false
				uni.navigateTo({
					url: '/page_fenbao/device/czDevice?orderinfo=' + JSON.stringify(this.orderinfo)
				})
			},
			checkModelTags(modelTags) {
				return modelTags && modelTags.some(tag => tag === 2);
			},
			order() {
				this.$u.get("/app/bill/recharge/device/fail/list").then((res) => {
					if (res.data.length != 0) {
						this.showtip = true
						this.orderinfo = res.data[0]
					} else {
						this.orderinfo = null
					}
				})
			},
			towifi(mac) {
				uni.navigateTo({
					url: '/page_fenbao/device/wifiDevice?mac=' + mac
				})
			},
			tobind() {
				this.$u.put(`/app/device/bind/${this.mac}`, this.gps).then((res) => {
					if (res.code === 200) {

						let systemInfo = uni.getSystemInfoSync();
						if (systemInfo.platform === 'android') {
							// 当前设备是 Android  
						} else if (systemInfo.platform === 'ios') {
							// console.log('aaaaaaaaaaaa');
							uni.navigateTo({
								url: '/page_components/wifilist/index?deviceId=' + this.deviceId +
									'&name=' + this.name
							})
						}
						uni.showToast({
							title: '绑定成功',
							icon: 'none',
							duration: 2000
						});
						uni.removeStorageSync('mac')
						uni.removeStorageSync('deviceIds')
						uni.removeStorageSync('name')
						this.getDeviceList()
					} else {
						// 处理失败情况
					}
				});
			},
			opendevice() {
				let stause = 0
				if (this.deviceInfo.powerStatus == 1) {
					stause = 0
				} else {
					stause = 1
				}
				// console.log(stause, 'stausestause');
				this.$u.put(`/app/device/${this.deviceInfo.deviceId}/changePower?status=` + stause).then((res) => {
					// this.$forceUpdate()
					if (res.code == 200) {
						setTimeout(() => {
							this.getdevice()
						}, 2000)
						// this.initChart()
					} else {
						uni.showToast({
							title: res.msg,
							icon: 'none'
						})
					}
				}) 
			},
			getgroup() {
				this.$u.get("/app/store/listCount").then((res) => {
					if (res.data != 0) {
						this.groupList = []
						this.groupLists = res.data
						this.groupList = res.data.filter(item => {
							return item.name === '全部'
						})
						// console.log(this.groupLists,'第一')
						this.storeId = this.groupList[0].storeId
						this.getlist()
					}
				})
			},
			getlist() {
				this.shujuflag = false
				// if (this.storeId == null) {
					this.$u.get(`/agent/device/list?pageNum=${this.pagenum}&pageSize=${this.pagesize}&orderByColumn=${this.pxzt}&isAsc=desc&keyword=${this.keyword}`).then((res) => {
						if (res.code == 200) {
							this.xiaflag = true
							this.shuaxin = false
							this.total = res.total
							if (res.rows.length > 0) {
								// 有数据，追加到列表  
								this.shujuflag = false
							} else {
								// 没有更多数据  
								this.shujuflag = true
							}
							if (this.pagenum > 1) {
								this.pagenum++
								// this.wateringList = []
								this.wateringList = this.wateringList.concat(res.rows)
								this.shujuflag = false
								this.qingqiuflag = true
                                
								uni.hideLoading()
							} else {
								this.pagenum++
								this.wateringList = res.rows  
								this.qingqiuflag = true
								
								uni.hideLoading()
							} 
							this.isLoading = false
						} else {
							this.shuaxin = false
							this.xiaflag = true
							uni.hideLoading()
						}
					})
			},

			tosetpage() {
				this.showfz = false
				uni.navigateTo({
					url: '/page_user/fenzu'
				})
			},
			// 点击更换用户模式
			confirm(e) {
				let type = e[0].value
				if (type == '1') {
					this.scanQRCode()
				} else if (type == '2') {
					uni.navigateTo({
						url: '/page_fenbao/device/index'
					})
				}
				// console.log(e);
				// this.mode = e[0].label
				// this.gettype()
			},
			logins() {
				if (uni.getStorageSync('userType')) {
					this.userType = uni.getStorageSync('userType')
					this.userType = '01'
					if (this.userType == '01') {
						// this.getDeviceList()
					} else if (this.userType == '00') {
						this.getdevice()
					}
				} else {

				}
				this.getuserinfo()
			},
			// 点击搜索附近设备进行跳转
			btnserch() {
				uni.navigateTo({
					url: '/page_fenbao/device/index'
				})
			},
			async initChart() {
				let value = 100;
				let value2 = this.deviceInfo.surplusElectriQuantity
				const option = {
					// backgroundColor:"#061740",
					title: {
						show: false,
						text: `历史请求满意度`, // 图表标题
						x: 'center',
						y: '20',
						textStyle: {
							color: '#333', //'#fff',
							fontSize: 20,
						},
					},
					series: [{
							type: 'pie', // 饼图类型
							radius: ['98%', '70%'], // 饼图半径，第一个值是内半径，第二个值是外半径
							silent: true,
							clockwise: true,
							startAngle: 90, // 起始角度
							z: 0,
							zlevel: 0,
							data: [{
									value: value,
									name: '占比', // 数据项名称
									itemStyle: {
										normal: {
											color: '#8883F0', // 数据项颜色
										},
									},
									label: {
										normal: {
											position: 'center',
											formatter: ` {a|${value2}}\n\n{b|剩余电量}`, // 标签内容格式
											rich: {
												a: {
													fontSize: 15,
													fontWeight: '700',
													color: '#333',
												},
												b: {
													fontSize: 11,
													color: '#888',
												},
											},
										},
									},
								},
								{
									value: 100 - value,
									name: '',
									label: {
										normal: {
											show: false,
										},
									},
									itemStyle: {
										normal: {
											color: '#173164',
										},
									},
								},
							],
						},
						{
							type: 'gauge', // 仪表盘类型
							radius: '130%', // 仪表盘半径，占图表容器的百分比
							center: ['50%', '50%'], // 仪表盘中心位置
							startAngle: 359,
							endAngle: 359.9,
							splitNumber: 2, // 刻度分割段数
							hoverAnimation: true,
							axisTick: {
								show: true, // 是否显示刻度线
								length: 10, // 刻度线长度
								lineStyle: {
									color: 'auto',
									width: 1,
								},
							},
							splitLine: {
								length: 0, // 刻度线分隔线长度
								lineStyle: {
									width: 1,
									color: '#061740',
								},
							},
							axisLabel: {
								show: false, // 是否显示刻度标签
							},
							pointer: {
								show: false, // 是否显示指针
							},
							axisLine: {
								lineStyle: {
									opacity: 0,
								},
							},
							detail: {
								show: false, // 是否显示仪表盘详情
							},
							data: [{
								value: 0,
								name: '',
							}, ],
						},
					],
				};
				const chart = await this.$refs.chart.init(echarts)
				chart.setOption(option)
				return chart
			},
			// 获取设备详情
			getDevice() {
				this.$u.get("app/device/1").then((res) => {
					// this.$forceUpdate()
					if (res.code == 200) {
						this.deviceInfo = res.data
						this.loadings = true
					}
				})
			},
			getuserinfo() {
				this.$u.get("/app/user/userInfo").then((res) => {
					// this.$forceUpdate()
					if (res.code == 200) {
						// uni.setStorageSync('userType', res.data.userType)
						this.userType = res.data.userType
						this.isMch = res.data.isMch
						if (this.userType == '01') {
							this.getDeviceList()
						} else if (this.userType == '00') {
							this.getdevice()
						}
					} else {
						this.jmlogin()
					}
				})
			},
			jmlogin() {
				let taht = this
				wx.login({
					success(res) {
						if (res.code) {
							let data = {
								loginCode: res.code,
							}
							taht.$u.post('/app/auth/wxLogin', data).then(res => {
								if (res.code == 10003) {
									uni.navigateTo({
										url: '/pages/login/login'
									})
								} else if (res.code == 200) {
									uni.setStorageSync('token', res.token)
									taht.logins()
								}
							})
						}
					},
				})
			},
			getDeviceList() {
				this.$u.get("/app/device/list").then((res) => {
					// this.$forceUpdate()
					if (res.code == 200) {
						this.deviceList = res.rows.filter(row => row.isDefault === true)
						// console.log(this.deviceList)
						this.total = res.total
						if (this.deviceList == '') {
							this.addflag = true
							this.sbflag = false
						} else {
							this.addflag = false
							this.sbflag = true
						}
					}
				})
			},
			swiperchange(e) {
				this.shuaxin = false
				this.pagenum = 1
				this.curtitidx = e.detail.current
				this.storeId = this.groupLists[this.curtitidx].storeId
			},

			getdevice() {
				this.$u.get("/app/device/tenant").then((res) => {
					this.deviceInfo = res.rows.find(item => item.isDefault === true)
					if (this.deviceInfo == undefined) {
						this.addflag = true
						this.sbflag = false
					} else {
						this.addflag = false
						this.sbflag = true
					}
					uni.setStorageSync('deviceId', this.deviceInfo.deviceId)
					// this.initChart()
					this.order()
				})
			},
			changeidx(index) {
				this.pagenum = 1
				this.curtitidx = index
			},
			// 点击导航栏回到我的
			btnshouye() {
				uni.reLaunch({
					url: '/pages/my'
				})
			},

			toydfx() {
				uni.navigateTo({
					url: "/page_components/eletj"
				})
			},
			todetail(id) {
				uni.navigateTo({
					url:'/pages/daili/devicexq?id=' + id
				})
			},
			// 跳转到抄表
			tochaobiao() {
				uni.navigateTo({
					url: '/page_user/cbRecord'
				})
			},
		}
	}
</script>

<style lang="scss">
	@keyframes slideDown {  
	  from {  
	    transform: translateY(-100%);  
	    opacity: 0;  
	  }  
	  to {  
	    transform: translateY(0);  
	    // opacity: 1;  
	  }  
	}
	.mxshanghu{
		width: 490rpx;
		max-height: 100vh;
		padding-bottom: 20rpx;
		background-color: #fff;
		border-radius: 20rpx;	
		position: fixed;
		top: 320rpx;
		left: 40rpx;
		z-index: 999;
		padding-top: 20rpx;
		padding-left: 30rpx;
		box-sizing: border-box;
		animation: slideDown .5s ease-out forwards;
		opacity: 1 !important;
		.shanghu_item{
			margin-top: 20rpx;
		}
	}
	.mxshanghuflag{
		width: 100%;
		height: 100vh;
		background-color: #000;
		opacity: .5 !important;
		border-radius: 20rpx;	
		position: fixed;
		top: 0;
		left:0;
		z-index: 998;
		animation: slideDown .5s ease-out forwards;
	}
	.inpus{
		display: flex;
		align-items: center;
		border: 1px solid #000;
		border-radius: 10rpx;
		padding-right: 20rpx;
		box-sizing: border-box;
		background-color: #fff;
		input{
			width: 400rpx;
			height: 60rpx;
			padding-left: 30rpx;
			box-sizing: border-box;
		}
	}
	.seachsou{
		width: 120rpx;
		height: 60rpx;
		border-radius: 10rpx;
		line-height: 60rpx;
		text-align: center;
		background-color: #8883F0;
		color: #fff;
	}
	.shuaxin {
		width: 100%;
		height: 110rpx;
		z-index: 99;
		// animation: fadeIn 1s forwards;
		text-align: center;

		image {
			width: 80rpx;
			height: 80rpx;
			// transform: translateX(-50%);
			// animation: spin 1s linear infinite;
		}

		view {
			// width: 100%;
			height: 80rpx;
			font-size: 30rpx;
		}
	}

	@keyframes spin {
		from {
			transform: rotate(360deg);
		}

		to {
			transform: rotate(0deg);
		}
	}

	@keyframes fadeIn {
		from {
			opacity: 0.4;
		}

		to {
			opacity: 1;
		}
	}

	.saoyisao {
		width: 90rpx;
		height: 90rpx;
		position: fixed;
		bottom: 240rpx;
		right: 60rpx;
		z-index: 99;
	}

	.title {
		padding-left: 32rpx;
		font-size: 40rpx;
		color: #fff;
		margin-bottom: 30rpx;
		padding-top: 100rpx;
		height: 200rpx;
		background-color: #8883F0;

		text {
			padding-left: 20%;
		}
	}
    .bluetoothbox {
    	width: 100%;
    	height: 100vh;
    	background-color: #f4f1f6;
    	position: fixed;
    	top: 0;
    	left: 0;
    	z-index: 999;
    	text-align: center;
    
    	.img {
    		margin-top: 400rpx;
    		width: 320rpx;
    		height: 320rpx;
    	}
    
    	.one {
    		font-size: 36rpx;
    		color: #000;
    	}
    
    	.two {
    		margin-top: 30rpx;
    		font-size: 24rpx;
    		color: #ccc;
    	}
    
    	.thr {
    		margin-top: 30rpx;
    		font-size: 28rpx;
    		color: #ccc;
    	}
    
    	.anfour {
    		display: flex;
    		margin-top: 30rpx;
    		justify-content: space-between;
    		padding: 0 220rpx;
    		box-sizing: border-box;
    
    		.qx {
    			width: 100rpx;
    			height: 70rpx;
    			line-height: 70rpx;
    			text-align: center;
    			border: 1px solid #3D3D3D;
    			border-radius: 10rpx;
    		}
    
    		.cx {
    			width: 200rpx;
    			height: 70rpx;
    			line-height: 70rpx;
    			text-align: center;
    			background-color: #8883F0;
    			color: #fff;
    			border-radius: 10rpx;
    		}
    	}
    
    	.stop {
    		font-size: 36rpx;
    		color: #000;
    		margin-top: 380rpx;
    	}
    
    	.xtop {
    		margin-top: 30rpx;
    		font-size: 24rpx;
    		color: #ccc;
    	}
    
    	.xqx {
    		width: 530rpx;
    		height: 90rpx;
    		line-height: 90rpx;
    		border-radius: 20rpx;
    		text-align: center;
    		background-color: #fff;
    		margin: auto;
    		margin-top: 200rpx;
    	}
    
    	image {
    		width: 500rpx;
    		height: 500rpx;
    		margin-top: 100rpx;
    	}
    }
	page {
		background-color: #F7FAFE;
		height: 100%;
		// position: fixed;
		// top: 0;
		// left: 0;
	}

	.activewzgl {
		color: #ccc !important;
	}

	.page {
		height: 100%;
		// padding-bottom: 200rpx;
		overflow: hidden;

		.tip_box {
			position: fixed;
			left: 72rpx;
			top: 788rpx;
			width: 610rpx;
			background: #F7FAFE;
			border-radius: 30rpx 30rpx 30rpx 30rpx;
			z-index: 10000000;

			.top {
				padding: 52rpx 38rpx 42rpx 36rpx;

				.txt {
					width: 100%;
					text-align: center;
					font-weight: 500;
					font-size: 32rpx;
					color: #3D3D3D;
				}
			}

			.bot {
				border-top: 2rpx solid #D8D8D8;
				display: flex;
				flex-wrap: nowrap;
				height: 100%;

				.bot_left {
					width: 50%;
					height: 98rpx;
					display: flex;
					align-items: center;
					justify-content: center;
					font-weight: 500;
					font-size: 36rpx;
					color: #3D3D3D;
				}

				.bot_right {
					width: 50%;
					height: 98rpx;
					display: flex;
					align-items: center;
					justify-content: center;
					border-left: 2rpx solid #D8D8D8;
					font-weight: 500;
					font-size: 36rpx;
					color: #4C97E7;

				}

			}
		}

		.noDevice {
			margin-top: 432rpx;
			display: flex;
			align-items: center;
			justify-content: center;
			flex-wrap: wrap;

			.img_box {
				width: 100%;
				display: flex;
				flex-wrap: wrap;
				justify-content: center;

				image {
					width: 252rpx;
					height: 252rpx;
				}

				.tps {
					margin-top: 4rpx;
					width: 100%;
					text-align: center;
					font-weight: 700;
					font-size: 32rpx;
					color: #BDBCBC;
				}
			}

			.addbutn {
				margin-top: 32rpx;
				display: flex;
				align-items: center;
				justify-content: center;
				width: 266rpx;
				height: 96rpx;
				background: #8883F0;
				border-radius: 16rpx;
				font-weight: 500;
				font-size: 36rpx;
				color: #FFFFFF;
			}

			.tip {
				margin-top: 30rpx;
				width: 100%;
				text-align: center;
				font-weight: 400;
				font-size: 40rpx;
				color: #BDBCBC;
			}
		}

		.zhuhu {
			margin-top: 20rpx;
			padding: 0 40rpx;

			.card1 {
				padding: 34rpx 0 0 40rpx;
				width: 670rpx;
				height: 583rpx;
				background: #FFFFFF;
				box-shadow: 0rpx 14rpx 35rpx 0rpx rgba(53, 140, 255, 0.1);
				border-radius: 28rpx 28rpx 28rpx 28rpx;

				.top {
					display: flex;
					flex-wrap: nowrap;
					justify-content: space-between;
					align-items: center;

					.left {
						font-size: 35rpx;
						font-family: HarmonyOS Sans SC, HarmonyOS Sans SC;
						font-weight: 400;
						color: #8883F0;
					}

					.right {
						margin-right: 56rpx;

						.imgs {
							width: 94rpx;
							height: 94rpx;
							vertical-align: bottom;
						}

						.img1 {
							width: 76rpx;
							height: 76rpx;
						}
					}
				}

				.mid {
					margin-top: 54rpx;
					display: flex;
					flex-wrap: nowrap;
					align-content: flex-start;

					.mid_left {
						image {
							width: 37rpx;
							height: 98rpx;
						}
					}

					.mid_right {
						margin-left: 40rpx;
						display: flex;
						flex-wrap: wrap;

						.mid_top {
							width: 100%;
							font-size: 42rpx;
							font-family: HarmonyOS Sans SC, HarmonyOS Sans SC;
							font-weight: 400;
							color: #262B37;
						}

						.mid_bot {
							display: flex;
							flex-wrap: nowrap;
							align-items: center;

							.txt {
								font-size: 26rpx;
								font-family: HarmonyOS Sans SC, HarmonyOS Sans SC;
								font-weight: 400;
								color: #95989D;
							}

							.tip {
								display: flex;
								align-items: center;
								justify-content: center;
								margin-left: 19rpx;
								width: 38rpx;
								height: 23rpx;
								background: rgba(204, 204, 204, 0);
								opacity: 1;
								border: 2rpx solid #8883F0;
								border-radius: 40rpx;
								font-size: 14rpx;
								font-family: HarmonyOS Sans SC, HarmonyOS Sans SC;
								font-weight: 400;
								color: #8883F0;
							}
						}
					}
				}

				.bot {
					margin-top: 83rpx;
					display: flex;
					flex-wrap: nowrap;
					align-items: center;

					.bot_left {
						width: 210rpx;
						height: 190.14rpx;
						margin-right: 34rpx;

						.echarts {
							width: 210rpx;
							height: 190.14rpx;
						}
					}

					.bot_right {
						display: flex;
						flex-wrap: nowrap;

						.cont {
							.tit {
								font-size: 28rpx;
								font-family: HarmonyOS Sans SC, HarmonyOS Sans SC;
								font-weight: 600;
								color: #262B37;
								line-height: 49rpx;
							}

							.txt {
								font-size: 26rpx;
								font-family: HarmonyOS Sans SC, HarmonyOS Sans SC;
								font-weight: 400;
								color: #262B37;
							}
						}
					}
				}
			}

			.card2 {
				padding-top: 40rpx;
				margin-top: 24rpx;
				width: 670rpx;
				height: 254rpx;
				background: #FFFFFF;
				box-shadow: 0rpx 16rpx 40rpx 0rpx rgba(53, 140, 255, 0.1);
				border-radius: 28rpx;

				.tit {
					margin-left: 40rpx;

					font-size: 35rpx;
					font-family: HarmonyOS Sans SC, HarmonyOS Sans SC;
					font-weight: 400;
					color: #8883F0;
				}

				.cont_box {
					margin-top: 32rpx;
					display: flex;
					flex-wrap: nowrap;
					justify-content: space-around;
					text-align: center;

					.cont {
						width: 110rpx;
						display: flex;
						flex-wrap: wrap;
						align-items: center;
						justify-content: center;

						.top {
							font-size: 32rpx;
							font-family: HarmonyOS Sans SC, HarmonyOS Sans SC;
							font-weight: 400;
							color: #262B37;
							width: 110rpx;
						}

						.bot {
							margin-top: 20rpx;
							font-size: 26rpx;
							font-family: HarmonyOS Sans SC, HarmonyOS Sans SC;
							font-weight: 400;
							color: #262B37;
						}
					}
				}
			}

			.card3 {
				padding-top: 40rpx;
				margin-top: 24rpx;
				width: 670rpx;
				height: 318rpx;
				background: #FFFFFF;
				box-shadow: 0rpx 16rpx 40rpx 0rpx rgba(53, 140, 255, 0.1);
				border-radius: 28rpx;

				.tit {
					margin-left: 40rpx;

					font-size: 35rpx;
					font-family: HarmonyOS Sans SC, HarmonyOS Sans SC;
					font-weight: 400;
					color: #8883F0;
				}

				.cont_box {
					margin-top: 32rpx;
					display: flex;
					flex-wrap: nowrap;
					padding-left: 50rpx;
					box-sizing: border-box;

					.cont {
						width: 100rpx;
						display: flex;
						flex-wrap: wrap;
						align-items: center;
						justify-content: center;
						margin-right: 40rpx;

						.top {
							image {
								width: 56rpx;
								height: 56rpx;
							}
						}

						.bot {
							margin-top: 28rpx;
							font-size: 28rpx;
							font-family: HarmonyOS Sans SC, HarmonyOS Sans SC;
							font-weight: 400;
							color: #808080;
						}
					}
				}
			}

			.button {
				margin-left: 76rpx;
				margin-top: 178rpx;
				display: flex;
				justify-content: center;
				align-items: center;
				width: 520rpx;
				height: 104rpx;
				background: #8883F0;
				box-shadow: 0rpx 16rpx 40rpx 0rpx rgba(42, 130, 228, 0.1);
				border-radius: 52rpx 52rpx 52rpx 52rpx;

				font-size: 32rpx;
				font-family: HarmonyOS Sans SC, HarmonyOS Sans SC;
				font-weight: 400;
				color: #FFFFFF;
			}
		}

		@keyframes fadeIn {
			from {
				opacity: 0;
			}

			to {
				opacity: 1;
			}
		}

		.fd {
			margin-top: 20rpx;
			padding: 0 40rpx;
			padding-bottom: 200rpx;
			height: 100%;

			.fz {
				margin: 0 -40rpx;
				position: fixed;
				bottom: 0;
				width: 750rpx;
				height: 830rpx;
				background: #F7FAFE;
				border-radius: 30rpx 30rpx 0 0;
				z-index: 10071;
				opacity: 0;
				animation-name: fadeIn;
				animation-duration: 1s;
				animation-fill-mode: forwards;

				.fz_top {
					margin: 18rpx 0 auto;
					display: flex;
					flex-wrap: nowrap;
					justify-content: space-between;

					.icon-shanchu {
						margin-left: 40rpx;
						font-size: 50rpx;
					}

					.tit {
						font-size: 36rpx;
						font-family: Source Han Sans, Source Han Sans;
						font-weight: 400;
						color: #000000;
					}

					.txt {
						margin-right: 40rpx;
						font-size: 36rpx;
						font-family: Source Han Sans, Source Han Sans;
						font-weight: 400;
						color: #2A82E4;

					}
				}

				.card_cont {
					width: 750rpx;
					padding-left: 30rpx;
					height: 100%;
					overflow-y: auto;
					overflow-x: hidden;

					.cards {
						margin-top: 32rpx;
						display: flex;
						flex-wrap: nowrap;
						align-items: center;
						justify-content: space-between;
						padding: 0 40rpx;
						width: 682rpx;
						border-radius: 30rpx;
						height: 114rpx;
						background: #FFFFFF;
						box-shadow: 0rpx 16rpx 40rpx 0rpx rgba(42, 130, 228, 0.1);

						.txt {
							font-size: 36rpx;
							font-family: Source Han Sans, Source Han Sans;
							font-weight: 400;
							color: #000000;
						}

						.num {
							font-size: 36rpx;
							font-family: Source Han Sans, Source Han Sans;
							font-weight: 400;
							color: #000000;
						}
					}
				}
			}

			// .fd_top {
			// 	display: flex;
			// 	flex-wrap: nowrap;
			// 	align-items: center;

			// 	.fd_da {
			// 		width: 600rpx;
			// 		overflow: hidden;
			// 		overflow-x: auto;
			// 		white-space: nowrap;
			// 		-ms-overflow-style: none;
			// 		/* 去除IE和Edge的默认滚动条 */
			// 		scrollbar-width: none;

			// 		/* 去除Firefox的默认滚动条 */
			// 		&::-webkit-scrollbar {
			// 			display: none;
			// 		}

			// 		.fd_lt {
			// 			display: flex;
			// 			transition: transform 0.3s ease;
			// 			padding-top: 10rpx;

			// 			.fd_tit {
			// 				text-align: center;
			// 				padding: 0 15rpx;
			// 				box-sizing: border-box;
			// 				font-size: 34rpx;
			// 				font-weight: 400;
			// 				color: #666;

			// 			}
			// 		}
			// 	}

			// 	.act1 {
			// 		font-size: 36rpx !important;
			// 		font-weight: 700 !important;
			// 		color: #000000 !important;
			// 	}




			// 	.right {
			// 		margin-left: auto;
			// 		display: flex;
			// 		flex-wrap: nowrap;
			// 		align-items: center;

			// 		.fd_set {
			// 			font-size: 60rpx;
			// 		}

			// 		.icon-liebiao {
			// 			margin-top: 10rpx;
			// 			margin-left: 20rpx;
			// 			font-size: 40rpx;
			// 		}
			// 	}

			// }

			.shebei {
				width: 750rpx;
				height: 100vh;
				position: fixed;
				top: 0;
				left: 0;
				text-align: center;
				padding-top: 300rpx;
				font-size: 32rpx;
				color: #ccc;
			}

			.swiper {

				.swiper_item {
					height: 100vh;
					overflow-y: auto;
					padding-bottom: 460rpx;
                    margin-top: 20rpx;
					.card_box {
						margin-top: 34rpx;
						display: flex;
						flex-wrap: wrap;

						.card {
							display: flex;
							// margin-top: 20rpx;
							width: 658rpx;
							max-height: 300rpx;
							padding-bottom: 20rpx;
							box-sizing: border-box;
							background: #fff;
							// box-shadow: 0rpx 16rpx 40rpx 0rpx rgba(255, 255, 255, 0);
							 box-shadow: 0 4px 8px rgba(0,0,0,0.1); 
							border-radius: 24rpx 24rpx 24rpx 24rpx;

							.card_left {
								width: 100%;
								margin-top: 20rpx;
								margin-left: 50rpx;

								.card_left_tit {
									font-size: 36rpx;
									font-family: AlibabaPuHuiTi, AlibabaPuHuiTi;
									font-weight: 600;
									color: #8883F0;
								}

								.card_left_sta {

									padding-top: 15rpx;
									display: flex;
									flex-wrap: nowrap;
									align-items: center;

									image {
										width: 23.32rpx;
										height: 36.47rpx;

									}

									.sta_txt {
										// margin-left: 15rpx;
										color: #262B37;
										font-size: 26rpx;
										font-family: HarmonyOS Sans SC, HarmonyOS Sans SC;
										font-weight: 400;
									}
								}

								.card_left_no {
									padding-top: 15rpx;
									font-size: 26rpx;
									font-family: AlibabaPuHuiTi, AlibabaPuHuiTi;
									font-weight: 400;
									color: #95989D;
								}
							}

							.card_right {
								margin-top: 30rpx;
								margin-left: auto;
								margin-right: 50rpx;

								image {
									width: 180rpx;
									height: 180rpx;
									border-radius: 10rpx;
								}
							}
						}
					}
				}
			}

		}
	}

	.popup-content {
		text-align: center;

		text {
			display: block;
		}

		.add {
			margin-top: 10rpx;
			font-size: 36rpx;
			color: #000000;
			line-height: 80rpx;
		}

		.saoma {
			margin-top: 68rpx;
			font-size: 40rpx;
			color: #000000;
			line-height: 54rpx;
			border: 1px solid #ccc;
			padding: 30rpx 0;
			box-sizing: border-box;
		}

		.sousuo {
			margin-top: 46rpx;
			font-size: 40rpx;
			color: #000000;
			line-height: 54rpx;
			border: 1px solid #ccc;
			padding: 30rpx 0;
			box-sizing: border-box;
		}
	}
</style>